Skip to main content
POST
/
tracking-links
Create a tracking link
curl --request POST \
  --url https://api.fanvue.com/tracking-links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "name": "My VIP list",
  "externalSocialPlatform": "facebook"
}
'
{
  "uuid": "d4e5f6g7-8h9i-0j1k-2l3m-n4o5p6q7r8s9",
  "name": "TikTok Profile",
  "linkUrl": "fv-123456",
  "externalSocialPlatform": "tiktok",
  "createdAt": "2024-01-15T00:00:00.000Z",
  "clicks": 0,
  "engagement": {
    "acquiredSubscribers": 0,
    "acquiredFollowers": 0,
    "totalSubscribers": 0,
    "totalFollowers": 0
  },
  "earnings": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Body

application/json
name
string
required

Name of the tracking link

Minimum string length: 1
externalSocialPlatform
enum<string>
required

Social platform

Available options:
facebook,
instagram,
other,
reddit,
snapchat,
tiktok,
twitter,
youtube

Response

Tracking link created successfully

uuid
string<uuid>
required

Tracking link UUID

name
string
required

Name of the tracking link

Tracking link URL (e.g., 'fv-123')

externalSocialPlatform
enum<string>
required

Social platform

Available options:
facebook,
instagram,
other,
reddit,
snapchat,
tiktok,
twitter,
youtube
createdAt
string<date-time>
required

When the link was created

clicks
number
required

Number of clicks on this link

engagement
object
required

Engagement metrics from this tracking link

earnings
object
required

Earnings from this tracking link (null for newly created links)